// $Id: Transform.java,v 1.2 2002/08/13 21:39:49 drager Exp $

package org.daml.validator;

import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import java.io.*;

// A class to XSL Transforms

public class Transform {

    public static void main (String args[]) 
	throws Exception
    {
	if (args.length == 3 || args.length == 2) {
	    Source source = new StreamSource(new File(args[0]));
	    Source stylesheet = new StreamSource(new File(args[1]));
	    Result result = new StreamResult(System.out);
	    if (args.length == 3) {
		result = new StreamResult(new FileOutputStream(args[2]));
	    }
	    TransformerFactory tf = TransformerFactory.newInstance();
	    Transformer t = tf.newTransformer(stylesheet);
	    t.transform(source, result);
	} else {
	    System.err.println("Transform  source  stylesheet  [result]");
	}
    }
}
