// $Id: NotRDFIndication.java,v 1.2 2001/08/21 18:15:04 drager Exp $

package org.daml.validator.indications;

/**
 * Indication for when the parsed URI contains no valid RDF/DAML statements.
 */
public class NotRDFIndication extends URIIndication {

    public static int defaultLevel = Indication.ERROR;

    public NotRDFIndication(String uri)
    {
	super(uri, null);
	level = defaultLevel;
	type = "No RDF/DAML Statements";
    }

    public String getMessage()
    {
	String m = "";
	m += "URI does not contain any RDF/DAML statments.";
	return(m);
    }
	
}
















