<?xml version="1.0"?>
<!-- $Id: text.xsl,v 1.1 2001/04/12 16:25:30 mdean Exp $ --> 
<!-- simple text rendering of validator results (based on pre-XML Validator output) -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html"
              doctype-system="http://www.w3.org/TR/REC-html40/strict.dtd/"
              doctype-public="-//W3C//DTD HTML 4.0//EN"/>

  <xsl:template match="/">
DAML Validator Results

This page contains the results of running
DAML Validator <xsl:value-of select="daml-validator/version"/>	
on the following documents:

<xsl:for-each select="daml-validator/document">
<xsl:text xml:space="preserve">  </xsl:text><xsl:value-of select="."/>
</xsl:for-each>

<xsl:text xml:space="preserve">

</xsl:text>

	  <xsl:for-each select="daml-validator/results/indication">
	    <xsl:sort select="level"/>
	    <xsl:sort select="uri"/>
	    <xsl:sort select="location"/>
	    <xsl:sort select="statement"/>
	    <xsl:sort select="type"/>
	    <xsl:sort select="message"/>
<xsl:value-of select="level"/>
<xsl:text xml:space="preserve="> - </xsl:text>
<xsl:value-of select="type"/>
<xsl:text xml:space="preserve">: </xsl:text>
<xsl:choose>
  <xsl:when test="uri">
    <xsl:value-of select="uri"/>
  </xsl:when>
  <xsl:otherwise>
    <xsl:text>Unspecified URI</xsl:text>
  </xsl:otherwise>
</xsl:choose>
<xsl:choose>
  <xsl:when test="statement">
    <xsl:text xml:space="preserve"> at statement triple("</xsl:text>
    <xsl:value-of select="statement/subject"/>
    <xsl:text xml:space="preserve">", "</xsl:text>
    <xsl:value-of select="statement/predicate"/>
    <xsl:text xml:space="preserve">", "</xsl:text>
    <xsl:value-of select="statement/object"/>
    <xsl:text xml:space="preserve">")</xsl:text>
  </xsl:when>
</xsl:choose>
<xsl:text xml:space="preserve">
</xsl:text>
<xsl:value-of select="message"/>
<xsl:text xml:space="preserve">


</xsl:text>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
